<?xml version='1.0' encoding='utf-8'?>
<cfsMaterialDataBase xmlns="http://www.cfs++.org/material">

  <material name="99lines">
    <mechanical>
      <density>
        <linear> 
          <real>1e-8</real>
        </linear>
      </density>
      <!-- Data as in the 99-lines code by Sigmund -->
      <elasticity>
        <linear>
          <isotropic>
            <elasticityModulus>
              <real>1</real>
            </elasticityModulus>
            <poissonNumber>
              <real>0.3</real>
            </poissonNumber>
          </isotropic>
        </linear>
      </elasticity>
      <damping>
        <rayleigh>
          <lossTangensDelta>0.03</lossTangensDelta>
          <measuredFreq>1000</measuredFreq>
        </rayleigh>
      </damping>
    </mechanical>
  </material>

  <!-- A little less than 99lines -->
  <material name="soft">
    <mechanical>
      <density>
        <linear> 
          <real>1e-9</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <isotropic>
            <elasticityModulus>
              <real>1e-2</real>
            </elasticityModulus>
            <poissonNumber>
              <real>0.3</real>
            </poissonNumber>
          </isotropic>
        </linear>
      </elasticity>
      <damping>
        <rayleigh>
          <lossTangensDelta>0.03</lossTangensDelta>
          <measuredFreq>1000</measuredFreq>
        </rayleigh>
      </damping>
    </mechanical>
  </material>

  <material name="weak">
    <mechanical>
      <density>
        <linear> 
          <real>1e-9</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <isotropic>
            <elasticityModulus>
              <real>1e-3</real>
            </elasticityModulus>
            <poissonNumber>
              <real>0.3</real>
            </poissonNumber>
          </isotropic>
        </linear>
      </elasticity>
    </mechanical>
  </material>

  <material name="void">
    <mechanical>
      <density>
        <linear> 
          <real>1e-6</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <isotropic>
            <elasticityModulus>
              <real>1e-9</real>
            </elasticityModulus>
            <poissonNumber>
              <real>0.3</real>
            </poissonNumber>
          </isotropic>
        </linear>
      </elasticity>
    </mechanical>
  </material>


  <!-- Multimaterial orientation optimization.
  Base material: cross 40% and 10% of 1/0.3 core material 
  x   y 11           12           22           33
  40  10 2.021953e+00 9.486268e-02 6.151248e-01 1.475974e-02
  Note, that CFS by default rotates 3D, which means swapping y and z.
  BUT! If we read the material as multimaterial there is not such a rotation! -->
  <material name="orient_0_degrees">
    <mechanical>
      <density>
        <linear>
          <real>1000</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <tensor dim2="6" dim1="6">
            <real>
              2.022       0.0949      0.0949      0.00000E+00 0.00000E+00 0.00000E+00
              0.0949      0.615       0.0949      0.00000E+00 0.00000E+00 0.00000E+00
              0.0949      0.0949      0.615       0.00000E+00 0.00000E+00 0.00000E+00
              0.00000E+00 0.00000E+00 0.00000E+00 0.0148      0.00000E+00 0.00000E+00
              0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.0148      0.00000E+00
              0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.0148     
            </real>
          </tensor>
        </linear> 
      </elasticity>
    </mechanical>
  </material>

  <material name="orient_90_degrees">
    <mechanical>
      <density>
        <linear>
          <real>1000</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <tensor dim2="6" dim1="6">
            <real>
              0.615       0.0949      0.0949      0.00000E+00 0.00000E+00 0.00000E+00
              0.0949      2.022       0.0949      0.00000E+00 0.00000E+00 0.00000E+00
              0.0949      0.0949      0.615       0.00000E+00 0.00000E+00 0.00000E+00
              0.00000E+00 0.00000E+00 0.00000E+00 0.0148      0.00000E+00 0.00000E+00
              0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.0148      0.00000E+00
              0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.0148     
            </real>
          </tensor>
        </linear> 
      </elasticity>
    </mechanical>
  </material>

  <material name="orient_135_degrees">
    <mechanical>
      <density>
        <linear>
          <real>1000</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <tensor dim2="6" dim1="6">
            <real>
              0.72150  0.69190  0.69190 -0.35175 -0.35175 -0.35175 
              0.69190  0.72150  0.69190 -0.35175 -0.35175 -0.35175
              0.69190  0.69190  0.72150 -0.35175 -0.35175 -0.35175
             -0.35175 -0.35175 -0.35175  0.6118  -0.35175 -0.35175
             -0.35175 -0.35175 -0.35175 -0.35175  0.6118  -0.35175
             -0.35175 -0.35175 -0.35175 -0.35175 -0.35175  0.6118     
            </real>
          </tensor>
        </linear> 
      </elasticity>
    </mechanical>
  </material>

  <material name="orient_45_degrees">
    <mechanical>
      <density>
        <linear>
          <real>1000</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <tensor dim2="6" dim1="6">
            <real>
              0.72150  0.69190  0.69190  0.35175  0.35175  0.35175 
              0.69190  0.72150  0.69190  0.35175  0.35175  0.35175
              0.69190  0.69190  0.72150  0.35175  0.35175  0.35175
              0.35175  0.35175  0.35175  0.6118   0.35175  0.35175
              0.35175  0.35175  0.35175  0.35175  0.6118   0.35175
              0.35175  0.35175  0.35175  0.35175  0.35175  0.6118     
            </real>
          </tensor>
        </linear> 
      </elasticity>
    </mechanical>
  </material>

  <material name="PolycrystallineRefractory">
    <mechanical>
      <density>
        <linear> 
          <real>1</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <isotropic>
            <elasticityModulus>
              <real>3.3e9</real>
            </elasticityModulus>
            <poissonNumber>
              <real>0.22</real>
            </poissonNumber>
          </isotropic>
        </linear>
      </elasticity>
    </mechanical>
  </material>

  <material name="PolycrystallineRefractoryScaled">
    <mechanical>
      <density>
        <linear> 
          <real>1.1</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <isotropic>
            <elasticityModulus>
              <real>3.3</real>
            </elasticityModulus>
            <poissonNumber>
              <real>0.22</real>
            </poissonNumber>
          </isotropic>
        </linear>
      </elasticity>
    </mechanical>
  </material>

  <material name="TitaniumWikipedia">
    <mechanical>
      <density>
        <linear> 
          <real>4506</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <isotropic>
            <elasticityModulus>
              <real>110e9</real>
            </elasticityModulus>
            <poissonNumber>
              <real>0.32</real>
            </poissonNumber>
          </isotropic>
        </linear>
      </elasticity>
      <damping>
        <rayleigh>
          <lossTangensDelta>0.02</lossTangensDelta>
          <measuredFreq>1</measuredFreq>
        </rayleigh>
      </damping>
    </mechanical>
  </material>
  
   <material name="Steel">
     <!-- Data obtained from : "http://www.matweb.com"
         Reference(s) : "www.matweb.com"
         Remarks : "AISI 1005" -->
    <mechanical>
      <density>
        <linear> 
          <real>7872</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <isotropic>
            <elasticityModulus>
              <real>2.00E+11</real>
            </elasticityModulus>
            <poissonNumber>
              <real>0.29</real>
            </poissonNumber>
          </isotropic>
        </linear>
      </elasticity>
      <damping>
        <rayleigh>
          <alpha>1E+04</alpha>
          <beta>1E-08</beta> 
          <measuredFreq>1E6</measuredFreq>
        </rayleigh>
      </damping>
    </mechanical>
    <!-- Data obtained from : "http://www.ondacorp.com" -->
    <acoustic>
      <density>
        <linear>
          <real>7800</real>
        </linear>
      </density>
      <compressionModulus>
        <linear>
          <real>2.7152E+11</real>
        </linear>
      </compressionModulus>
    </acoustic>
  </material>
  
  <material name="aluminium">
    <mechanical>
      <density>
        <linear>
          <real>2.70031E+03</real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <tensor dim2="6" dim1="6">
            <real>
              1.07800E+11 5.49300E+10 5.49300E+10 0.00000E+00 0.00000E+00 0.00000E+00
              5.49300E+10 1.07800E+11 5.49300E+10 0.00000E+00 0.00000E+00 0.00000E+00
              5.49300E+10 5.49300E+10 1.07800E+11 0.00000E+00 0.00000E+00 0.00000E+00
              0.00000E+00 0.00000E+00 0.00000E+00 2.64500E+10 0.00000E+00 0.00000E+00
              0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 2.64500E+10 0.00000E+00
              0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 0.00000E+00 2.64500E+10
            </real>
          </tensor>
        </linear> 
      </elasticity>
      <damping>
        <rayleigh>
          <lossTangensDelta>0.03</lossTangensDelta>
          <measuredFreq>1000</measuredFreq>
        </rayleigh>      
      </damping>
    </mechanical>
  </material>

<material name="Iron">
    <mechanical>
      <!-- Data obtained from : "http://www.matweb.com"
           Reference(s) : "www.matweb.com"
           Remarks :  -->
      <density>
        <linear>
          <real> 7870 </real>
        </linear>
      </density>
      <elasticity>
        <linear>
          <isotropic>
            <elasticityModulus>
              <real> 2.00E+11 </real>
            </elasticityModulus>
            <poissonNumber>
              <real> 0.29 </real>
            </poissonNumber>
          </isotropic>
        </linear>
      </elasticity>
    </mechanical>
    <acoustic>
      <!-- Data obtained from : "http://www.ondacorp.com"
           Reference(s) :  -->
      <density>
        <linear>
          <real> 7690 </real>
        </linear>
      </density>
      <compressionModulus>
        <linear>
          <real> 2.6769E+11 </real>
        </linear>
      </compressionModulus>
    </acoustic>
    <heatConduction>
      <!-- Data obtained from : "http://www.goodfellow.com"
           Reference(s) : "www.goodfellow.com/csp/active/gfMaterials.csp" -->
      <!-- Remarks : "density @ 20 degree c; specific heat capacity @ 25 degree c; thermal conductivity @ 0-100 degree c." -->
      <density>
        <linear>
          <real> 7870 </real>
        </linear>
      </density>
      <heatCapacity>
        <linear>
          <real>  444 </real>
        </linear>
      </heatCapacity>
      <heatConductivity>
        <linear>
          <isotropic>
            <real> 80.4 </real>
          </isotropic>
        </linear>
      </heatConductivity>
    </heatConduction>
    <magnetic>
      <!-- Data obtained from : "http://hyperphysics.phy-astr.gsu.edu/"
           Reference(s) : "http://hyperphysics.phy-astr.gsu.edu/hbase/hframe.html"
           Remarks : "Initial Relative permeability: 150, max: 5000. Data based on maximum relative permeability" -->
      <electricConductivity>
        <linear>
          <isotropic>
            <real> 1.0300E+07 </real>
          </isotropic>
        </linear>
      </electricConductivity>
      <permeability>
        <linear>
          <isotropic>
            <real> 6.2832E-03 </real>
          </isotropic>
        </linear>
      </permeability>
    </magnetic>
  </material>

  
</cfsMaterialDataBase>
